Bug 184542 - Grip crashes when running external program
Summary: Grip crashes when running external program
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: grip (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: x86_64 Linux
medium
high
Target Milestone: ---
Assignee: Adrian Reber
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-03-09 19:00 UTC by Jeremy Fitzhardinge
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-23 09:28:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Backtraces from bug-buddy (6.47 KB, text/plain)
2006-03-09 19:00 UTC, Jeremy Fitzhardinge
no flags Details
64 bit fix from Novell (935 bytes, text/x-patch)
2006-05-08 17:45 UTC, Aaron Holtzman
no flags Details

Description Jeremy Fitzhardinge 2006-03-09 19:00:11 UTC
Description of problem:
I'm using grip with cdparanoia set as an external ripper.  As soon as it invokes
cdparanoia, it crashes.  If I use the internal ripper, it crashes as soon as it
invokes the mp3 encoder.

Version-Release number of selected component (if applicable):
3.2.0-10.fc5

How reproducible:
Always

Steps to Reproduce:
1.Insert CD; grip starts
2.Select all tracks
3.Rip+encode
  
Actual results:
Grip crashes

Expected results:
Rip+encode CD

Additional info:
Backtrace attached.

Comment 1 Jeremy Fitzhardinge 2006-03-09 19:00:11 UTC
Created attachment 125891 [details]
Backtraces from bug-buddy

Comment 2 Aaron Holtzman 2006-05-08 17:45:43 UTC
Created attachment 128754 [details]
64 bit fix from Novell

A fix for this problem from Novell. Can someone get this put into extras for
FC5?

Comment 3 Adrian Reber 2006-06-23 09:28:04 UTC
I have included the patch from the attachment and have requested builds for FC4,
FC5 and FC6. Let me know if this fix does not work.


Note You need to log in before you can comment on or make changes to this bug.